Pular para o conteúdo principal
POST
/
crm
/
v3
/
objects
/
contacts
/
batch
/
create
Create a batch of contacts
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/contacts/batch/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "associations": [
        {
          "to": {
            "id": "<string>"
          },
          "types": [
            {
              "associationTypeId": 123
            }
          ]
        }
      ],
      "properties": {},
      "objectWriteTraceId": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "id": "512",
      "properties": {
        "property_checkbox": "false",
        "property_date": "1572480000000",
        "property_dropdown": "choice_b",
        "property_multiple_checkboxes": "chocolate;strawberry",
        "property_number": "17",
        "property_radio": "option_1",
        "property_string": "value"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Corpo

application/json
inputs
object[]
obrigatório

Resposta

successful operation

A public object batch response object

completedAt
string<date-time>
obrigatório

The timestamp when the batch processing was completed, in ISO 8601 format.

results
object[]
obrigatório
startedAt
string<date-time>
obrigatório

The timestamp when the batch processing began, in ISO 8601 format.

status
enum<string>
obrigatório

The status of the batch processing request. The expected value is "COMPLETE".

Opções disponíveis:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

An object containing relevant links related to the batch request.

requestedAt
string<date-time>

The timestamp when the batch request was initially made, in ISO 8601 format.

Last modified on April 13, 2026